Cobrowse SDK API
- OpenAPI Version:
3.1.1 - API Version:
2
Servers
- URL:
https://api.zoom.us/v2
Operations
List live sessions
- Method:
GET - Path:
/cobrowsesdk/live_sessions - Tags: Sessions
List the total live sessions that occurred during a specified period of time. You can specify a monthly date range for this data using the from and to query parameters. The month should fall within the last six months. The report only includes one month's worth of data.
Prerequisites:
- Cobrowse SDK
Granular Scopes: cobrowse_sdk:read:list_live_sessions:admin
Rate Limit Label: LIGHT
Parameters
page_size
- In:
query
The number of records returned within a single API call.
integer
next_page_token
- In:
query
Used to paginate through large result sets. Zoom returns a next_page_token whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
string
session_pin
- In:
query
The Cobrowse session's pin code. Use this code to join the session.
string
Responses
Status: 200 List live sessions.
Content-Type: application/json
next_page_tokenstring— Used to paginate through large result sets. Zoom returns a `next_page_token` whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.page_sizeinteger— The number of records returned within a single API call.sessionsarray— Live sessions.Items: session_id(required)string— The Cobrowse session's ID.start_time(required)string, format:date-time— The Cobrowse session's start time.users(required)array— Session users.Items: role_type(required)string, possible values:"customer", "agent", default:"agent"— The joining user's role type.user_id(required)string— The user's ID. This is a unique ID assigned to the user joining a session and is valid for only that session.user_name(required)string— The user's display name.
session_pinstring— The Cobrowse session's pin code. Use this code to join the session.
Example:
{
"page_size": 30,
"next_page_token": "Tva2CuIdTgsv8wAnhyAdUrm0tY2HuLQtlh4",
"sessions": [
{
"session_id": "GDDykmpQQU6MWL3GqLNUkw",
"start_time": "2025-02-14T19:09:01Z",
"session_pin": "987536",
"users": [
{
"user_id": "YZ8uRj9zRf2yY5cshmzrTA",
"user_name": "exampleuser",
"role_type": "agent"
}
]
}
]
}Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `30101` <br> The next page token is invalid or expired. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `401` <br> Invalid token. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
List past sessions
- Method:
GET - Path:
/cobrowsesdk/past_sessions - Tags: Sessions
List the total live or past sessions that occurred during a specified period of time. You can specify a monthly date range for this data using the from and to query parameters. The month should fall within the last six months. The report only includes one month's worth of data.
Prerequisites:
- Cobrowse SDK
Granular Scopes: cobrowse_sdk:read:list_past_sessions:admin
Rate Limit Label: RESOURCE-INTENSIVE
Parameters
time_type
- In:
query
Enables you to search Cobrowse sessions by start or end time. By default, uses start_time.
string, possible values: "start_time", "end_time", default: "start_time"
from
- In:
query
The start time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
The date range defined by the from and to parameters should be a month as the response only includes one month's worth of data. The month defined should fall within the last six months. If unspecified, returns data within the last 24 hours.
string
to
- In:
query
Required only when the from parameter is specified.
End time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format, the same format as the from parameter.
string
page_size
- In:
query
The number of records returned within a single API call.
integer
next_page_token
- In:
query
Used to paginate through large result sets. Zoom returns a next_page_token whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
string
session_id
- In:
query
The Cobrowse session's ID.
string
session_pin
- In:
query
The Cobrowse session's pin code. Use this code to join the session.
string
Responses
Status: 200 List past sessions.
Content-Type: application/json
fromstring, format:date— The report's start date, in 'yyyy-mm-dd' format.next_page_tokenstring— Used to paginate through large result sets. Zoom returns a `next_page_token` whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.page_sizeinteger— The number of records returned within a single API call.sessionsarray— Past session.Items: duration(required)string— The Cobrowse session's duration, in 'hh:mm:ss' format.end_time(required)string, format:date-time— The Cobrowse session's end time.session_id(required)string— The Cobrowse session's ID.start_time(required)string, format:date-time— The Cobrowse session's start time.session_pinstring— The Cobrowse session's pin code. Use this code to join the session.user_countinteger— The Cobrowse session's user count.usersarray— Session users.Items: role_typestring, possible values:"customer", "agent", default:"agent"— The joining user's role type.user_idstring— The user's ID. This is a unique ID assigned to the user joining a session and is valid for only that session.user_namestring— The user's display name.
tostring, format:date— The report's end date, in 'yyyy-mm-dd' format.
Example:
{
"from": "2025-02-14",
"to": "2025-02-14",
"page_size": 30,
"next_page_token": "Tva2CuIdTgsv8wAnhyAdUrm0tY2HuLQtlh4",
"sessions": [
{
"session_id": "GDDykmpQQU6MWL3GqLNUkw",
"start_time": "2025-02-14T19:09:01Z",
"end_time": "2025-02-14T19:15:01Z",
"duration": "00:03:19",
"user_count": 2,
"session_pin": "987536",
"users": [
{
"user_id": "YZ8uRj9zRf2yY5cshmzrTA",
"user_name": "exampleuser",
"role_type": "agent"
}
]
}
]
}Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `30101` <br> The next page token is invalid or expired. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `401` <br> Invalid token. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Get session details
- Method:
GET - Path:
/cobrowsesdk/sessions/{sessionId} - Tags: Sessions
Get information about live or past Cobrowse sessions. Prerequisites:
- Cobrowse SDK.
Granular Scopes: cobrowse_sdk:read:session_details:admin
Rate Limit Label: LIGHT
Parameters
sessionId required
- In:
path
The Cobrowse session's ID.
string
session_type
- In:
query
The session's type.
live - A live session.
past - A past session.
string, possible values: "live", "past", default: "live"
Responses
Status: 200 Cobrowse session information.
Content-Type: application/json
session_id(required)string— The Cobrowse session's ID.start_time(required)string, format:date-time— The Cobrowse session's start time.session_pinstring— The Cobrowse session's pin code. Use this code to join the session.user_countinteger— The Cobrowse session's user count.
duration(required)string— The Cobrowse session's duration, in 'hh:mm:ss' format.end_time(required)string, format:date-time— The Cobrowse session's end time.session_id(required)string— The Cobrowse session's ID.start_time(required)string, format:date-time— The Cobrowse session's start time.session_pinstring— The Cobrowse session's pin code. Use this code to join the session.user_countinteger— The Cobrowse session's user count.
Example:
{
"session_id": "GDDykmpQQU6MWL3GqLNUkw",
"start_time": "2025-02-14T19:09:01Z",
"session_pin": "987536",
"user_count": 2
}Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `401` <br> Invalid token. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `30300` <br> Session does not exist: $sessionId <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
List session users
- Method:
GET - Path:
/cobrowsesdk/sessions/{sessionId}/users - Tags: Sessions
List the users from live or past sessions.
Granular Scopes: cobrowse_sdk:read:list_session_users:admin
Rate Limit Label: LIGHT
Parameters
sessionId required
- In:
path
The Cobrowse session's ID.
string
page_size
- In:
query
The number of records returned within a single API call.
integer
next_page_token
- In:
query
Used to paginate through large result sets. Zoom returns a next_page_token whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
string
Responses
Status: 200 List session users.
Content-Type: application/json
next_page_tokenstring— Used to paginate through large result sets. Zoom returns a `next_page_token` whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.page_sizeinteger— The number of records returned within a single API call.usersarray— Session users. Note: If a user left a session and rejoined the same session, their information will appear multiple times (for each time the user joined the session).Items: role_type(required)string, possible values:"customer", "agent", default:"agent"— The joining user's role type.user_connection_id(required)string— The connection's ID for each time the user joined the session.user_id(required)string— The user's ID. This is a unique ID assigned to the user joining a session and is valid for only that session.user_name(required)string— The user's display name.data_centerstring, possible values:"US", "AU", "BR", "CA", "DE", "HK", "IN", "JP", "CN", "MX", "NL", "SG", "TW", default:"US"— The data center where user's session data is stored. `US` - United States `AU` - Australia `BR` - Brazil `CA` - Canada `DE` - Germany `HK` - Hong Kong SAR `IN` - India `JP` - Japan `CN` - Mainland China `MX` - Mexico `NL` - Netherlands `SG` - Singapore `TW` - Taiwandurationstring— The duration for each time the user in a same session, in 'hh:mm:ss' format.ip_addressstring— The user's IP address.join_timestring, format:date-time— The time at which user joined the session.leave_timestring, format:date-time— The time at which a user left the session. For live sessions, this field is only returned if a user has left the ongoing session.
Example:
{
"page_size": 30,
"next_page_token": "Tva2CuIdTgsv8wAnhyAdUrm0tY2HuLQtlh4",
"users": [
{
"user_connection_id": "Nlg8wgA0TFe3jT87CjQZqg",
"user_id": "YZ8uRj9zRf2yY5cshmzrTA",
"user_name": "exampleuser",
"role_type": "agent",
"ip_address": "127.0.0.1",
"data_center": "US",
"join_time": "2025-03-18T05:07:13Z",
"leave_time": "2025-03-18T05:09:13Z",
"duration": "00:03:19"
}
]
}